## org.eclipse.jetty.server
Interface Server.Graceful

All Superinterfaces:
  Handler, LifeCycle

All Known Implementing Classes:
  ContextHandler, MovedContextHandler, ServletContextHandler, WebAppContext

Enclosing class:
  Server

    public static interface Server.Graceful

extends Handler

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Method Summary
`void` `setShutdown(boolean shutdown)`

Methods inherited from interface org.eclipse.jetty.server.Handler
`destroy, getServer, handle, setServer`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Method Detail

### setShutdown

    void setShutdown(boolean shutdown)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.